//
//  YHPersonInfoCellModel.swift
//  galaxy
//
//  Created by davidhuangA on 2024/1/30.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

enum YHPreviewInfoSessionModelType: Int {
    case countryInfoType = 0    //0-国籍信息 类型
    case idCardInfoType = 1     //1-证件信息 类型
    case idPictureType = 2      //2-证件照片 类型
    case questionAndAnswer = 3  //3-问答 类型
    case workExp = 4  //4-工作经验
}

struct YHPreviewInfoSessionModel {
    var index: Int = -1
    var cellType : YHPreviewInfoSessionModelType = .countryInfoType
    var cellTitle : String = ""
    var cellData0 : [YHPreviewQuestionAndAnswerModel]?
    var cellData1 : [YHPersonInfoCellModel1]?
    var cellData2 : [YHPersonInfoCellModel2]?
    var cellData4 : [YHWorkExpDataModel]?
}
